Subject: bug#14213: 24.3; Redraw artifacts with emacs cursor and highlighting

From: Chris Rose <[email-masked]>
Date: Mon, 15 Apr 2013 23:53:32 -0700

I believe (but it'd be mildy awkward to test it) that it started at least
as early as 24.2. Given some time I could triangulate it, but it'd be
during work hours and it's a major time sink to compile that many emacs
versions one after the other.

On Mon, Apr 15, 2013 at 11:18 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Chris Rose <[email-masked]>
> > Date: Mon, 15 Apr 2013 14:09:28 -0700
> >
> > When editing text, I odd cursor shadows and leftover, un-redrawn text as
> > I type; for example, during the typing of this sentence the letters on
> > this line were often obscured by the cursor appearing over them, as well
> > as appearing on the current line.
> >
> > This is best shown in an image: http://imgur.com/IjAxNWC
> >
> > I am running emacs as a daemon on a RHEL5 64 bit host, and running
> emacsclient there as well, using an Xorg server on Ubuntu 12.04
> > emacs daemon command line:
> > ssh -f -o ForwardAgent=no -o ForwardX11=no -o ForwardX11Trusted=no
> chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -nw --daemon 2>&1 >/dev/null'
> > ssh -f chrisros.desktop '~/bin/emacsclient -c'
> >
> > If I run emacs daemon with -Q, the issue persists:
> > ssh -f chrisros.desktop 'DISPLAY= nohup ~/bin/emacs -Q -nw --daemon 2>&1
> >/dev/null'
> > ssh -f chrisros.desktop '~/bin/emacsclient -c'
> >
> > Image with emacs --daemon -Q: http://imgur.com/v7ZOKtA
>
> Do other Emacs versions show the same problem?  Or did this start
> happening with 24.3?
>

-- 
Chris R.
======
Not to be taken literally, internally, or seriously.
Twitter: http://twitter.com/offby1